$msiId = $null
if ([Environment]::Is64BitOperatingSystem) {
	$msiId = '{9216817A-92AE-45BF-9F0D-BC8C4E39DE89}'
	Try {
	   Write-Host "x64 environment detected, trying to uninstall the x64 version"
	   Uninstall-ChocolateyPackage 'Far' 'MSI' "$msiId /qb" -validExitCodes @(0) # We try to uninstall x86 version
	   Exit 0
	}
	Catch {
	   Write-Host "Apparently, the x86 version was installed"
	   Write-Host "Proceeding to uninstall the x86 version"
	}
}

$msiId = '{AE7036BE-C09A-4DB2-8DF9-000849A39700}'
Uninstall-ChocolateyPackage 'Far' 'MSI' "$msiId /qb" -validExitCodes @(0)

Remove-BinFile -Name 'Far'
