Install-ChocolateyPackage `
    "Far" 'msi' '/quiet ADDLOCAL=ALL' `
    "https://farmanager.com/files/Far30b6000.x86.20220723.msi" `
    "https://farmanager.com/files/Far30b6000.x64.20220723.msi" `
    -ChecksumType "sha256" `
    -Checksum "9150A2A402611FFCE83753616C55F8FB6DEB6240502392B7392373C0E439B581" `
    -Checksum64 "DF5CE1BA8AF2FBAA55F08C08491F4336C0688088A5423D98A832AD2A3911714E"

if ((Get-ProcessorBits 64) -and (${env:ChocolateyForceX86} -ne 'true'))
{
  Install-BinFile -Name 'Far' -Path "${env:ProgramFiles}/Far Manager/Far.exe"
}
elseif ((Get-ProcessorBits 64) -and (${env:ChocolateyForceX86} -eq 'true'))
{
  Install-BinFile -Name 'Far' -Path "${env:ProgramFiles(x86)}/Far Manager/Far.exe"
}
elseif (Get-ProcessorBits 32)
{
  Install-BinFile -Name 'Far' -Path "${env:ProgramFiles}/Far Manager/Far.exe"
}
